libidn-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU libidn branch, master, updated. libidn-1-22-25-gbce8393


From: Simon Josefsson
Subject: [SCM] GNU libidn branch, master, updated. libidn-1-22-25-gbce8393
Date: Tue, 22 Nov 2011 12:36:32 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU libidn".

http://git.savannah.gnu.org/cgit/libidn.git/commit/?id=bce8393944b396ae3d07da457b68891eb6dbe4f2

The branch, master has been updated
       via  bce8393944b396ae3d07da457b68891eb6dbe4f2 (commit)
      from  9291740fc6bf7273d0b12d35aaa3277816679ef9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit bce8393944b396ae3d07da457b68891eb6dbe4f2
Author: Simon Josefsson <address@hidden>
Date:   Tue Nov 22 13:19:33 2011 +0100

    Use csharpexec from gnulib to run .NET binaries.

-----------------------------------------------------------------------

Summary of changes:
 .gitignore                 |    1 +
 build-aux/csharpexec.sh.in |   95 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac               |    7 ++-
 csharp/Makefile.am         |    3 +-
 gl/Makefile.am             |    9 ++++-
 gl/m4/csharpexec.m4        |   86 +++++++++++++++++++++++++++++++++++++++
 gl/m4/gnulib-cache.m4      |    3 +-
 gl/m4/gnulib-common.m4     |    2 +-
 gl/m4/gnulib-comp.m4       |    5 ++
 9 files changed, 205 insertions(+), 6 deletions(-)
 create mode 100644 build-aux/csharpexec.sh.in
 create mode 100644 gl/m4/csharpexec.m4

diff --git a/.gitignore b/.gitignore
index 5deb94b..7a04b1e 100644
--- a/.gitignore
+++ b/.gitignore
@@ -37,6 +37,7 @@ csharp/RFC3454.cs
 csharp/UnicodeData.txt
 csharp/rfc3454.txt
 csharpcomp.sh
+csharpexec.sh
 doc/Makefile
 doc/Makefile.gdoc
 doc/Makefile.in
diff --git a/build-aux/csharpexec.sh.in b/build-aux/csharpexec.sh.in
new file mode 100644
index 0000000..673df08
--- /dev/null
+++ b/build-aux/csharpexec.sh.in
@@ -0,0 +1,95 @@
+#!/bin/sh
+# Execute a C# program.
+
+# Copyright (C) 2003, 2005, 2009-2011 Free Software Foundation, Inc.
+# Written by Bruno Haible <address@hidden>, 2003.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# This uses the same choices as csharpexec.c, but instead of relying on the
+# environment settings at run time, it uses the environment variables
+# present at configuration time.
+#
+# This is a separate shell script, because the various C# interpreters have
+# different command line options.
+#
+# Usage: /bin/sh csharpexec.sh [OPTION] program.exe [ARGUMENTS]
+# Options:
+#   -L DIRECTORY      search for C# libraries also in DIRECTORY
+
+sed_quote_subst='s/\([|&;<>()$`"'"'"'*?[#~=%   \\]\)/\\\1/g'
+options_ilrun=
+libdirs_mono=
+prog=
+while test $# != 0; do
+  case "$1" in
+    -L)
+      options_ilrun="$options_ilrun -L "`echo "$2" | sed -e "$sed_quote_subst"`
+      libdirs_mono="${libdirs_mono:address@hidden@}$2"
+      shift
+      ;;
+    -*)
+      echo "csharpexec: unknown option '$1'" 1>&2
+      exit 1
+      ;;
+    *)
+      prog="$1"
+      break
+      ;;
+  esac
+  shift
+done
+if test -z "$prog"; then
+  echo "csharpexec: no program specified" 1>&2
+  exit 1
+fi
+case "$prog" in
+  *.exe) ;;
+  *)
+    echo "csharpexec: program is not a .exe" 1>&2
+    exit 1
+    ;;
+esac
+
+if test -n "@HAVE_ILRUN@"; then
+  test -z "$CSHARP_VERBOSE" || echo ilrun $options_ilrun "$@"
+  exec ilrun $options_ilrun "$@"
+else
+  if test -n "@HAVE_MONO@"; then
+    CONF_MONO_PATH='@MONO_PATH@'
+    if test -n "$libdirs_mono"; then
+      MONO_PATH="$libdirs_mono${CONF_MONO_PATH:address@hidden@$CONF_MONO_PATH}"
+    else
+      MONO_PATH="$CONF_MONO_PATH"
+    fi
+    export MONO_PATH
+    test -z "$CSHARP_VERBOSE" || echo mono "$@"
+    exec mono "$@"
+  else
+    if test -n "@HAVE_CLIX@"; then
+      CONF_CLIX_PATH='@CLIX_PATH@'
+      if test -n "$libdirs_mono"; then
+        
@address@hidden"$libdirs_mono${CONF_CLIX_PATH:address@hidden@$CONF_CLIX_PATH}"
+      else
+        @address@hidden"$CONF_CLIX_PATH"
+      fi
+      export @CLIX_PATH_VAR@
+      test -z "$CSHARP_VERBOSE" || echo clix "$@"
+      exec clix "$@"
+    else
+      echo 'C# virtual machine not found, try installing pnet, then 
reconfigure' 1>&2
+      exit 1
+    fi
+  fi
+fi
diff --git a/configure.ac b/configure.ac
index 3d96d65..834f6d9 100644
--- a/configure.ac
+++ b/configure.ac
@@ -105,14 +105,17 @@ AC_MSG_CHECKING([if implementation in Java should be 
built])
 AC_MSG_RESULT($enable_java)
 
 # Check for C#
-AM_CONDITIONAL(CSHARP, test -n "$HAVE_CSHARPCOMP")
-AC_MSG_CHECKING([[if implementation in C# should be built]])
 if test -n "$HAVE_CSHARPCOMP"; then
+  gt_CSHARPEXEC
+fi
+AC_MSG_CHECKING([[if implementation in C# should be built]])
+if test -n "$HAVE_CSHARPCOMP" && test -n "$HAVE_CSHARPEXEC"; then
   enable_csharp=yes
 else
   enable_csharp=no
 fi
 AC_MSG_RESULT($enable_csharp)
+AM_CONDITIONAL(CSHARP, test "$enable_csharp" = yes)
 
 sj_UPDATE_HEADER_VERSION([$srcdir/lib/stringprep.h])
 
diff --git a/csharp/Makefile.am b/csharp/Makefile.am
index 13403d4..bda73ab 100644
--- a/csharp/Makefile.am
+++ b/csharp/Makefile.am
@@ -18,6 +18,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301, USA.
 
+CSHARPEXEC = $(SHELL) $(top_builddir)/csharpexec.sh
 CSHARPCOMP = $(SHELL) $(top_builddir)/csharpcomp.sh
 CSHARPCOMPFLAGS =
 
@@ -73,7 +74,7 @@ GenerateTables.exe: $(SOURCES_GENERATE)
 
 RFC3454.cs CombiningClass.cs DecompositionKeys.cs DecompositionMappings.cs 
Composition.cs: $(GEN_SOURCES)
        make GenerateTables.exe
-       ./GenerateTables.exe
+       $(CSHARPEXEC) ./GenerateTables.exe
 
 install-dll-dir:
        $(mkinstalldirs) $(DESTDIR)$(libdir)
diff --git a/gl/Makefile.am b/gl/Makefile.am
index 4acef63..d660153 100644
--- a/gl/Makefile.am
+++ b/gl/Makefile.am
@@ -21,7 +21,7 @@
 # the same distribution terms as the rest of that program.
 #
 # Generated by gnulib-tool.
-# Reproduce by: gnulib-tool --import --dir=. --local-dir=gl/override 
--lib=libgnu --source-base=gl --m4-base=gl/m4 --doc-base=doc 
--tests-base=gltests --aux-dir=build-aux --with-tests --avoid=fcntl-h-tests 
--avoid=stdlib-tests --avoid=string-tests --avoid=sys_stat-tests 
--avoid=time-tests --avoid=unistd-tests --avoid=wchar-tests 
--no-conditional-dependencies --libtool --macro-prefix=gl --no-vc-files 
autobuild csharpcomp-script error fdl-1.3 gendocs getopt-gnu gnupload gpl-3.0 
lgpl-2.1 maintainer-makefile manywarnings pmccabe2html progname 
update-copyright useless-if-before-free valgrind-tests vc-list-files 
version-etc warnings
+# Reproduce by: gnulib-tool --import --dir=. --local-dir=gl/override 
--lib=libgnu --source-base=gl --m4-base=gl/m4 --doc-base=doc 
--tests-base=gltests --aux-dir=build-aux --with-tests --avoid=fcntl-h-tests 
--avoid=stdlib-tests --avoid=string-tests --avoid=sys_stat-tests 
--avoid=time-tests --avoid=unistd-tests --avoid=wchar-tests 
--no-conditional-dependencies --libtool --macro-prefix=gl --no-vc-files 
autobuild csharpcomp-script csharpexec-script error fdl-1.3 gendocs getopt-gnu 
gnupload gpl-3.0 lgpl-2.1 maintainer-makefile manywarnings pmccabe2html 
progname update-copyright useless-if-before-free valgrind-tests vc-list-files 
version-etc warnings
 
 AUTOMAKE_OPTIONS = 1.5 gnits
 
@@ -59,6 +59,13 @@ EXTRA_DIST += $(top_srcdir)/build-aux/csharpcomp.sh.in
 
 ## end   gnulib module csharpcomp-script
 
+## begin gnulib module csharpexec-script
+
+
+EXTRA_DIST += $(top_srcdir)/build-aux/csharpexec.sh.in
+
+## end   gnulib module csharpexec-script
+
 ## begin gnulib module errno
 
 BUILT_SOURCES += $(ERRNO_H)
diff --git a/gl/m4/csharpexec.m4 b/gl/m4/csharpexec.m4
new file mode 100644
index 0000000..00396e9
--- /dev/null
+++ b/gl/m4/csharpexec.m4
@@ -0,0 +1,86 @@
+# csharpexec.m4 serial 4
+dnl Copyright (C) 2003-2005, 2009-2011 Free Software Foundation, Inc.
+dnl This file is free software; the Free Software Foundation
+dnl gives unlimited permission to copy and/or distribute it,
+dnl with or without modifications, as long as this notice is preserved.
+
+# Prerequisites of csharpexec.sh.
+# Checks for a C# execution engine.
+# gt_CSHARPEXEC or gt_CSHARPEXEC(testexecutable, its-directory)
+# Sets at most one of HAVE_ILRUN, HAVE_MONO, HAVE_CLIX.
+# Sets HAVE_CSHARPEXEC to nonempty if csharpexec.sh will work.
+AC_DEFUN([gt_CSHARPEXEC],
+[
+  AC_REQUIRE([gt_CSHARP_CHOICE])
+  AC_MSG_CHECKING([for C[#] program execution engine])
+  AC_EGREP_CPP([yes], [
+#if defined _WIN32 || defined __WIN32__ || defined __EMX__ || defined __DJGPP__
+  yes
+#endif
+], MONO_PATH_SEPARATOR=';', MONO_PATH_SEPARATOR=':')
+  HAVE_CSHARPEXEC=1
+  pushdef([AC_MSG_CHECKING],[:])dnl
+  pushdef([AC_CHECKING],[:])dnl
+  pushdef([AC_MSG_RESULT],[:])dnl
+  AC_CHECK_PROG([HAVE_ILRUN_IN_PATH], [ilrun], [yes])
+  AC_CHECK_PROG([HAVE_MONO_IN_PATH], [mono], [yes])
+  AC_CHECK_PROG([HAVE_CLIX_IN_PATH], [clix], [yes])
+  popdef([AC_MSG_RESULT])dnl
+  popdef([AC_CHECKING])dnl
+  popdef([AC_MSG_CHECKING])dnl
+  for impl in "$CSHARP_CHOICE" pnet mono no; do
+    case "$impl" in
+      pnet)
+        if test -n "$HAVE_ILRUN_IN_PATH" \
+           && ilrun --version >/dev/null 2>/dev/null \
+           ifelse([$1], , , [&& ilrun $2/$1 >/dev/null 2>/dev/null]); then
+          HAVE_ILRUN=1
+          ac_result="ilrun"
+          break
+        fi
+        ;;
+      mono)
+        if test -n "$HAVE_MONO_IN_PATH" \
+           && mono --version >/dev/null 2>/dev/null \
+           ifelse([$1], , , [&& mono $2/$1 >/dev/null 2>/dev/null]); then
+          HAVE_MONO=1
+          ac_result="mono"
+          break
+        fi
+        ;;
+      sscli)
+        if test -n "$HAVE_CLIX_IN_PATH" \
+           ifelse([$1], , , [&& clix $2/$1 >/dev/null 2>/dev/null]); then
+          HAVE_CLIX=1
+          case $host_os in
+            cygwin* | mingw* | pw32*)
+              CLIX_PATH_VAR=PATH
+              ;;
+            darwin* | rhapsody*)
+              CLIX_PATH_VAR=DYLD_LIBRARY_PATH
+              ;;
+            *)
+              CLIX_PATH_VAR=LD_LIBRARY_PATH
+              ;;
+          esac
+          eval CLIX_PATH=\"\$CLIX_PATH_VAR\"
+          ac_result="clix"
+          break
+        fi
+        ;;
+      no)
+        HAVE_CSHARPEXEC=
+        ac_result="no"
+        break
+        ;;
+    esac
+  done
+  AC_MSG_RESULT([$ac_result])
+  AC_SUBST([MONO_PATH])
+  AC_SUBST([MONO_PATH_SEPARATOR])
+  AC_SUBST([CLIX_PATH_VAR])
+  AC_SUBST([CLIX_PATH])
+  AC_SUBST([HAVE_ILRUN])
+  AC_SUBST([HAVE_MONO])
+  AC_SUBST([HAVE_CLIX])
+])
diff --git a/gl/m4/gnulib-cache.m4 b/gl/m4/gnulib-cache.m4
index 133cca3..fe62a59 100644
--- a/gl/m4/gnulib-cache.m4
+++ b/gl/m4/gnulib-cache.m4
@@ -27,13 +27,14 @@
 
 
 # Specification in the form of a command-line invocation:
-#   gnulib-tool --import --dir=. --local-dir=gl/override --lib=libgnu 
--source-base=gl --m4-base=gl/m4 --doc-base=doc --tests-base=gltests 
--aux-dir=build-aux --with-tests --avoid=fcntl-h-tests --avoid=stdlib-tests 
--avoid=string-tests --avoid=sys_stat-tests --avoid=time-tests 
--avoid=unistd-tests --avoid=wchar-tests --no-conditional-dependencies 
--libtool --macro-prefix=gl --no-vc-files autobuild csharpcomp-script error 
fdl-1.3 gendocs getopt-gnu gnupload gpl-3.0 lgpl-2.1 maintainer-makefile 
manywarnings pmccabe2html progname update-copyright useless-if-before-free 
valgrind-tests vc-list-files version-etc warnings
+#   gnulib-tool --import --dir=. --local-dir=gl/override --lib=libgnu 
--source-base=gl --m4-base=gl/m4 --doc-base=doc --tests-base=gltests 
--aux-dir=build-aux --with-tests --avoid=fcntl-h-tests --avoid=stdlib-tests 
--avoid=string-tests --avoid=sys_stat-tests --avoid=time-tests 
--avoid=unistd-tests --avoid=wchar-tests --no-conditional-dependencies 
--libtool --macro-prefix=gl --no-vc-files autobuild csharpcomp-script 
csharpexec-script error fdl-1.3 gendocs getopt-gnu gnupload gpl-3.0 lgpl-2.1 
maintainer-makefile manywarnings pmccabe2html progname update-copyright 
useless-if-before-free valgrind-tests vc-list-files version-etc warnings
 
 # Specification in the form of a few gnulib-tool.m4 macro invocations:
 gl_LOCAL_DIR([gl/override])
 gl_MODULES([
   autobuild
   csharpcomp-script
+  csharpexec-script
   error
   fdl-1.3
   gendocs
diff --git a/gl/m4/gnulib-common.m4 b/gl/m4/gnulib-common.m4
index 3507d45..8621dec 100644
--- a/gl/m4/gnulib-common.m4
+++ b/gl/m4/gnulib-common.m4
@@ -18,7 +18,7 @@ AC_DEFUN([gl_COMMON_BODY], [
 # if (3 <= __GNUC__ || (__GNUC__ == 2 && 8 <= __GNUC_MINOR__) \
       || 0x5110 <= __SUNPRO_C)
 #  define _Noreturn __attribute__ ((__noreturn__))
-# elif defined (_MSC_VER) && 1200 <= _MSC_VER
+# elif defined _MSC_VER && 1200 <= _MSC_VER
 #  define _Noreturn __declspec (noreturn)
 # else
 #  define _Noreturn
diff --git a/gl/m4/gnulib-comp.m4 b/gl/m4/gnulib-comp.m4
index 4f94157..e5040aa 100644
--- a/gl/m4/gnulib-comp.m4
+++ b/gl/m4/gnulib-comp.m4
@@ -47,6 +47,7 @@ AC_DEFUN([gl_EARLY],
   # Code from module close:
   # Code from module close-tests:
   # Code from module csharpcomp-script:
+  # Code from module csharpexec-script:
   # Code from module dosname:
   # Code from module dup2:
   # Code from module dup2-tests:
@@ -174,6 +175,8 @@ AC_DEFUN([gl_INIT],
   gl_source_base='gl'
 AC_REQUIRE([gt_CSHARPCOMP])
 AC_CONFIG_FILES([csharpcomp.sh:build-aux/csharpcomp.sh.in])
+# You need to invoke gt_CSHARPEXEC yourself, possibly with arguments.
+AC_CONFIG_FILES([csharpexec.sh:build-aux/csharpexec.sh.in])
 gl_HEADER_ERRNO_H
 gl_ERROR
 if test $ac_cv_lib_error_at_line = no; then
@@ -477,6 +480,7 @@ AC_DEFUN([gltests_LIBSOURCES], [
 # gnulib-tool and may be removed by future gnulib-tool invocations.
 AC_DEFUN([gl_FILE_LIST], [
   build-aux/csharpcomp.sh.in
+  build-aux/csharpexec.sh.in
   build-aux/gendocs.sh
   build-aux/gnupload
   build-aux/pmccabe.css
@@ -523,6 +527,7 @@ AC_DEFUN([gl_FILE_LIST], [
   m4/close.m4
   m4/csharp.m4
   m4/csharpcomp.m4
+  m4/csharpexec.m4
   m4/dup2.m4
   m4/eealloc.m4
   m4/environ.m4


hooks/post-receive
-- 
GNU libidn



reply via email to

[Prev in Thread] Current Thread [Next in Thread]